<?xml version="1.0" encoding="utf-8"?>
<!-- This is a template mup.xml file.  
   - Fill in the correct information for each element to match the actual MUP being delivered.  
   -->
<MUPDefinition xsi:schemaLocation="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd mupdefinition.xsd" xmlns="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <packageinformation>
    <name>Intel(R) Integrated Sensor Solution</name>
    <version>3.0.30.1119</version>
    <installertype>msi</installertype>
    <packagegrouping>single_package</packagegrouping>
    <packagingtype>zip</packagingtype>
    <releasetype>DRVR</releasetype>
    <mupspecificationversion>2.4.3</mupspecificationversion>
    <supportedoperatingsystems>
      <osidentifier name="Windows7" architecture="x64" />
      <osidentifier name="Windows7" architecture="x86" />
      <osidentifier name="Windows8.1" architecture="x64" />
      <osidentifier name="Windows8.1" architecture="x86" />
      <osidentifier name="Windows10" architecture="x64" />
      <osidentifier name="Windows10" architecture="x86" />
    </supportedoperatingsystems>
    <content>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788435}\ISH_BUS</Generic>
        <Image type="DRVR" version="3.1.0.3360">
          <file>production\Windows10-x86\ISH_BusDriver\ish_busdriver.cat</file>
          <file>production\Windows10-x86\ISH_BusDriver\ISH_BusDriver.sys</file>
          <file>production\Windows10-x86\ISH_BusDriver\ISH_BusDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788435}\ISH_BUS</Generic>
        <Image type="DRVR" version="3.1.0.3360">
          <file>production\Windows10-x64\ISH_BusDriver\ish_busdriver.cat</file>
          <file>production\Windows10-x64\ISH_BusDriver\ISH_BusDriver.sys</file>
          <file>production\Windows10-x64\ISH_BusDriver\ISH_BusDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8086" deviceID="9D35" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="22D8" />
        <Image type="DRVR" version="3.1.0.3363">
          <file>production\Windows10-x86\ISH\ish.cat</file>
          <file>production\Windows10-x86\ISH\ISH.sys</file>
          <file>production\Windows10-x86\ISH\ISH.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8086" deviceID="9D35" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="22D8" />
        <PCIInfo vendorID="8086" deviceID="5AA2" />
        <Image type="DRVR" version="3.1.0.3363">
          <file>production\Windows10-x64\ISH\ish.cat</file>
          <file>production\Windows10-x64\ISH\ISH.sys</file>
          <file>production\Windows10-x64\ISH\ISH.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788436}\ISH_MINIPORT</Generic>
        <Image type="DRVR" version="3.1.0.3357">
          <file>production\Windows10-x86\HID_PCI\hid_pci.cat</file>
          <file>production\Windows10-x86\HID_PCI\HID_PCI.sys</file>
          <file>production\Windows10-x86\HID_PCI\HID_PCI.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788436}\ISH_MINIPORT</Generic>
        <Image type="DRVR" version="3.1.0.3357">
          <file>production\Windows10-x64\HID_PCI\hid_pci.cat</file>
          <file>production\Windows10-x64\HID_PCI\HID_PCI.sys</file>
          <file>production\Windows10-x64\HID_PCI\HID_PCI.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <PCIInfo vendorID="8087" deviceID="0AC5" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows10-x86\AdvSensorClassDriver\advsensorclassdriver.cat</file>
          <file>production\Windows10-x86\AdvSensorClassDriver\AdvSensorClassDriver.dll</file>
          <file>production\Windows10-x86\AdvSensorClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows10-x86\AdvSensorClassDriver\AdvSensorClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <PCIInfo vendorID="8087" deviceID="0AC5" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows10-x64\AdvSensorClassDriver\advsensorclassdriver.cat</file>
          <file>production\Windows10-x64\AdvSensorClassDriver\AdvSensorClassDriver.dll</file>
          <file>production\Windows10-x64\AdvSensorClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows10-x64\AdvSensorClassDriver\AdvSensorClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows10-x86\AdvSensorHIDClassDriverV2\advsensorhidclassdriverv2.cat</file>
          <file>production\Windows10-x86\AdvSensorHIDClassDriverV2\AdvSensorHIDClassDriverV2.dll</file>
          <file>production\Windows10-x86\AdvSensorHIDClassDriverV2\AdvSensorHIDClassDriverV2.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows10-x64\AdvSensorHIDClassDriverV2\advsensorhidclassdriverv2.cat</file>
          <file>production\Windows10-x64\AdvSensorHIDClassDriverV2\AdvSensorHIDClassDriverV2.dll</file>
          <file>production\Windows10-x64\AdvSensorHIDClassDriverV2\AdvSensorHIDClassDriverV2.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows10" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788435}\ISH_BUS</Generic>
        <Image type="DRVR" version="3.0.41.3263">
          <file>production\Windows7-x86\ISH_BusDriver\ish_busdriver.cat</file>
          <file>production\Windows7-x86\ISH_BusDriver\ISH_BusDriver.sys</file>
          <file>production\Windows7-x86\ISH_BusDriver\ISH_BusDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788435}\ISH_BUS</Generic>
        <Image type="DRVR" version="3.0.41.3263">
          <file>production\Windows7-x64\ISH_BusDriver\ish_busdriver.cat</file>
          <file>production\Windows7-x64\ISH_BusDriver\ISH_BusDriver.sys</file>
          <file>production\Windows7-x64\ISH_BusDriver\ISH_BusDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8086" deviceID="9D35" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="22D8" />
        <Image type="DRVR" version="3.0.41.3260">
          <file>production\Windows7-x86\ISH\ish.cat</file>
          <file>production\Windows7-x86\ISH\ISH.sys</file>
          <file>production\Windows7-x86\ISH\ISH.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8086" deviceID="9D35" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="22D8" />
        <PCIInfo vendorID="8086" deviceID="5AA2" />
        <Image type="DRVR" version="3.0.41.3260">
          <file>production\Windows7-x64\ISH\ish.cat</file>
          <file>production\Windows7-x64\ISH\ISH.sys</file>
          <file>production\Windows7-x64\ISH\ISH.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788436}\ISH_MINIPORT</Generic>
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows7-x86\HID_PCI\hid_pci.cat</file>
          <file>production\Windows7-x86\HID_PCI\HID_PCI.sys</file>
          <file>production\Windows7-x86\HID_PCI\HID_PCI.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788436}\ISH_MINIPORT</Generic>
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows7-x64\HID_PCI\hid_pci.cat</file>
          <file>production\Windows7-x64\HID_PCI\HID_PCI.sys</file>
          <file>production\Windows7-x64\HID_PCI\HID_PCI.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <PCIInfo vendorID="8087" deviceID="0AC5" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows7-x86\AdvSensorClassDriver\advsensorclassdriver.cat</file>
          <file>production\Windows7-x86\AdvSensorClassDriver\AdvSensorClassDriver.dll</file>
          <file>production\Windows7-x86\AdvSensorClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows7-x86\AdvSensorClassDriver\AdvSensorClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <PCIInfo vendorID="8087" deviceID="0AC5" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows7-x64\AdvSensorClassDriver\advsensorclassdriver.cat</file>
          <file>production\Windows7-x64\AdvSensorClassDriver\AdvSensorClassDriver.dll</file>
          <file>production\Windows7-x64\AdvSensorClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows7-x64\AdvSensorClassDriver\AdvSensorClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC2" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows7-x86\SensorHIDClassDriver\sensorhidclassdriver.cat</file>
          <file>production\Windows7-x86\SensorHIDClassDriver\SensorHIDClassDriver.dll</file>
          <file>production\Windows7-x86\SensorHIDClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows7-x86\SensorHIDClassDriver\SensorHIDClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC2" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows7-x64\SensorHIDClassDriver\sensorhidclassdriver.cat</file>
          <file>production\Windows7-x64\SensorHIDClassDriver\SensorHIDClassDriver.dll</file>
          <file>production\Windows7-x64\SensorHIDClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows7-x64\SensorHIDClassDriver\SensorHIDClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows7" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788435}\ISH_BUS</Generic>
        <Image type="DRVR" version="3.0.41.3263">
          <file>production\Windows8.1-x86\ISH_BusDriver\ish_busdriver.cat</file>
          <file>production\Windows8.1-x86\ISH_BusDriver\ISH_BusDriver.sys</file>
          <file>production\Windows8.1-x86\ISH_BusDriver\ISH_BusDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788435}\ISH_BUS</Generic>
        <Image type="DRVR" version="3.0.41.3263">
          <file>production\Windows8.1-x64\ISH_BusDriver\ish_busdriver.cat</file>
          <file>production\Windows8.1-x64\ISH_BusDriver\ISH_BusDriver.sys</file>
          <file>production\Windows8.1-x64\ISH_BusDriver\ISH_BusDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8086" deviceID="9D35" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="22D8" />
        <Image type="DRVR" version="3.0.41.3260">
          <file>production\Windows8.1-x86\ISH\ish.cat</file>
          <file>production\Windows8.1-x86\ISH\ISH.sys</file>
          <file>production\Windows8.1-x86\ISH\ISH.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8086" deviceID="9D35" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="22D8" />
        <PCIInfo vendorID="8086" deviceID="5AA2" />
        <Image type="DRVR" version="3.0.41.3260">
          <file>production\Windows8.1-x64\ISH\ish.cat</file>
          <file>production\Windows8.1-x64\ISH\ISH.sys</file>
          <file>production\Windows8.1-x64\ISH\ISH.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788436}\ISH_MINIPORT</Generic>
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows8.1-x86\HID_PCI\hid_pci.cat</file>
          <file>production\Windows8.1-x86\HID_PCI\HID_PCI.sys</file>
          <file>production\Windows8.1-x86\HID_PCI\HID_PCI.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <Generic>{DEA5AE2A-D1FD-438A-A091-CBD484788436}\ISH_MINIPORT</Generic>
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows8.1-x64\HID_PCI\hid_pci.cat</file>
          <file>production\Windows8.1-x64\HID_PCI\HID_PCI.sys</file>
          <file>production\Windows8.1-x64\HID_PCI\HID_PCI.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <PCIInfo vendorID="8087" deviceID="0AC5" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows8.1-x86\AdvSensorClassDriver\advsensorclassdriver.cat</file>
          <file>production\Windows8.1-x86\AdvSensorClassDriver\AdvSensorClassDriver.dll</file>
          <file>production\Windows8.1-x86\AdvSensorClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows8.1-x86\AdvSensorClassDriver\AdvSensorClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x86" />
          </supportedoperatingsystems>
        </Image>
      </Device>
      <Device componentID="103834">
        <PCIInfo vendorID="8087" deviceID="0AC4" />
        <PCIInfo vendorID="8087" deviceID="0AC5" />
        <Image type="DRVR" version="3.0.40.3258">
          <file>production\Windows8.1-x64\AdvSensorClassDriver\advsensorclassdriver.cat</file>
          <file>production\Windows8.1-x64\AdvSensorClassDriver\AdvSensorClassDriver.dll</file>
          <file>production\Windows8.1-x64\AdvSensorClassDriver\WudfUpdate_01011.dll</file>
          <file>production\Windows8.1-x64\AdvSensorClassDriver\AdvSensorClassDriver.inf</file>
          <supportedoperatingsystems>
            <osidentifier name="Windows8.1" architecture="x64" />
          </supportedoperatingsystems>
        </Image>
      </Device>
    </content>
  </packageinformation>
  <executable timeout="300" architecture="x86">
    <executablename>SetupISS.exe</executablename>
  </executable>
  <behaviors>
    <!-- 
       - Remove the behavior element for each unsupported behavior.
       - Add the correct mapping to your command line for each supported behavior.
     -->
    <behavior name="attended" />
    <behavior name="unattended">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">s</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="help">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">?</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="extractdrivers">
      <vendoroption>
        <optionvalue switch="/" valuedelimiter=" " requiresvalue="true">extractmup</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="freshinstall">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">downgrade</optionvalue>
      </vendoroption>
    </behavior>
  </behaviors>
  <parameters>
    <parametermapping name="logfile">
      <vendoroption>
        <optionvalue switch="/" valuedelimiter=" " requiresvalue="true">log</optionvalue>
      </vendoroption>
    </parametermapping>
    <parametermapping name="force">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">downgrade</optionvalue>
      </vendoroption>
    </parametermapping>
  </parameters>
  <returncodes>
    <!-- 
	- Delete the returncodemapping element for each unsupported status code.  
	- For supported statuses, add the exit code you return.
	-->
    <returncodemapping name="SUCCESS">
      <vendorreturncode>0</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="ERROR">
      <vendorreturncode>1602</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="REBOOT_REQUIRED">
      <vendorreturncode>3010</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="ERROR_INSTALL_PLATFORM_UNSUPPORTED">
      <vendorreturncode>20004</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="NO_DOWNGRADE">
      <!--Always able to DownGrade, Installer Doesn't need to support-->
      <vendorreturncode>9999</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="DEP_HARD_ERROR">
      <!-- Never used -->
      <vendorreturncode>9999</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="DEP_SOFT_ERROR">
      <!-- Never used -->
      <vendorreturncode>9999</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="PASSWORD_REQUIRED">
      <!-- Never used -->
      <vendorreturncode>9999</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="REBOOTING_SYSTEM">
      <vendorreturncode>1641</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="REBOOT_UPDATE_PENDING">
      <vendorreturncode>1603</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="UNKNOWN_OPTION">
      <vendorreturncode>1639</vendorreturncode>
    </returncodemapping>
  </returncodes>
  <inventorymetadata>
    <fullpackageidentifier>
      <msis>
        <msi componentID="103834">
          <upgradecode>{e10e1905-31ac-4e08-aaa9-887c49d7e942}</upgradecode>
          <version>3.0.30.1119</version>
        </msi>
      </msis>
    </fullpackageidentifier>
  </inventorymetadata>
</MUPDefinition>